//
// Pibero Djawotho <pibero@indiana.edu>
// Indiana University
// 9 August 2007
//

// STAR
#include "StEventTypes.h"
#include "StGenericVertexMaker/StCtbMatcher.h"

// Local
#include "CtbHit.h"

ClassImp(CtbHit);

CtbHit::CtbHit()
{
  mTray = 0;
  mSlat = 0;
  mAdc = 0;
}

CtbHit::CtbHit(int tray, int slat, int adc)
{
  mTray = tray;
  mSlat = slat;
  mAdc = adc;
}

CtbHit::CtbHit(const CtbHit& hit)
{
  mTray = hit.mTray;
  mSlat = hit.mSlat;
  mAdc = hit.mAdc;
}


void CtbHit::getEtaPhi(double& eta, double& phi) const
{
  ctb_get_slat_from_data(mSlat, mTray, phi, eta);
  phi *= TMath::DegToRad();
}
